Subject: bug#62106: 29.0.60; Emacs 29 changing user option values (?)

From: Drew Adams <[email-masked]>
Date: Sun, 12 Mar 2023 15:16:24 +0000

> > Wouldn't this be better - pseudo-saving, i.e., making Customize treat
> > a changed option as if it were unchanged, _without_ saving it?
> >
> > (put SYMBOL 'saved-value
> >             (list (custom-quote (default-value SYMBOL)))))
> 
> I've tested further, and it looks like `custom-set-variables' does
> already what we want. So I've modifed my change in the emacs-29 branch
> accordingly.

Yes, I think that'll do it.  Thx.

> It would be great if you could counter test once the recent emacs-29
> branch is on your laptop.

No idea when that might happen, and I'll likely have
forgotten about this bug by then. ;-)  I depend on
MS Windows snapshots for builds.  I think things are
probably good now.  Thx.